/*
 * Photo Image Print System
 * Copyright (C) 2001-2005 EPSON KOWA Corporation.
 * Copyright (C) SEIKO EPSON CORPORATION 2001-2005.
 */

#ifndef RENAME_H
#define RENAME_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef CONCEAL_SYMBOL

#define AnalysisAreaType          FUNC000
#define AnalysisFilmColor         FUNC001
#define AnalysisImageType         FUNC002
#define AnalysisNoiseArea         FUNC003
#define AnalysisPhotoDraw         FUNC004
#define AreaInclude               FUNC005
#define CImgDetect                FUNC006
#define CheckBW                   FUNC007
#define CorrectAreaLabel          FUNC008
#define CorrectSkewedAreaLabel    FUNC009
#define DoAreaLabeling            FUNC010
#define DoAutoLocation            FUNC011
#define EvaluateAreaInformation   FUNC012
#define FindSkewAngle             FUNC013
#define FindSkewAngleText         FUNC014
#define FittingAreaSize           FUNC015
#define FittingRoughAreaSize      FUNC016
#define GetAreaNumber             FUNC017
#define GetBlueValue              FUNC018
#define GetBytePerPixel           FUNC019
#define GetGreenValue             FUNC020
#define GetImageColor             FUNC021
#define GetImageLocation          FUNC022
#define GetImageType              FUNC023
#define GetRedValue               FUNC024
#define GetThreshFlag             FUNC025
#define GetlabDataPointer         FUNC026
#define GetlabInfoPointer         FUNC027
#define GlobalPPfunc              FUNC028
#define LocalPPfunc               FUNC029
#define MakeBlockImage            FUNC030
#define ResetAreaRect             FUNC031
#define SetAutoThreshold          FUNC032
#define SetDrawVal                FUNC033
#define SetLineVal                FUNC034
#define SetSkewAreaInformation    FUNC035
#define SetsatThreshold           FUNC036
#define Trans                     FUNC037
#define TransGrayData             FUNC038
#define TransHSVData              FUNC039
#define TransShadeValue           FUNC040
#define TransTwoValueData         FUNC041
#define TransTwoValueDataByBlock  FUNC042
#define mmtoPixel                 FUNC043
#define SettwoThreshold           FUNC044

#define MYRECT                    TYPE000
#define LOCATION_DATA             TYPE001
#define DETECT_DATA               TYPE002
#define TIP_THRE                  TYPE003
#define IMGTYPE_DATA              TYPE004

#endif /* RENAME_H */

#endif /* CONCEAL_SYMBOL */
