/*
 * Photo Image Print System
 * Copyright (C) Seiko Epson Corporation 2008.
 *
 * This file is part of the `espmntg' program.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __EKPDEBUG_H__
#define __EKPDEBUG_H__

void dbgprintHlp(const char *format, ...);
void dbgDmp(const char *fbuf, int len);

#define DP(e) 		fprintf(stderr, "%s(%d) : ", __FILE__, __LINE__); dbgprintHlp e;
#define DD(p, s) 	dbgDmp(p, s)


#endif
